[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.OnDataPtrCompare

Callback to compare 2 data items

## Declaration

Source position: fgl.pp line 291

`public property TFPSMap.OnDataPtrCompare : TFPSListCompareFunc read FOnDataPtrCompare write SetOnDataPtrCompare;`

## Description

OnKeyPtrCompare is used to compare the values of 2 keys. By default it simply compares the byte values of the key memory block. It can be set to any function that performs another comparison. (e.g. a function that treats the memory blocks as a string pointer and compare the actual strings).

This function is used to find a data item (IndexOf).

## See also

TFPSListCompareFunc |  | Compare list items callback signature
TFPSMap.OnKeyPtrCompare |  | Callback to compare 2 keys
TFPSMap.IndexOfData |  | Index of data item AData